애플리케이션 API 권한 부여 삭제
DELETE /v1/applications/{application_id}/api-grants/{api_id} · 권한 applications:write
애플리케이션의 한 API에 대한 권한 부여를 제거합니다. 애플리케이션은 더 이상 해당 API에 대한 토큰을 요청할 수 없습니다.
요청
| 매개변수 | In | 설명 |
|---|---|---|
application_id |
path | 애플리케이션 id(app_…). |
api_id |
path | API id(api_…). |
응답
204 No Content.
오류
| HTTP | code |
조건 |
|---|---|---|
| 401 | unauthenticated |
키가 누락되었거나, 유효하지 않거나, 취소되었습니다. |
| 403 | insufficient_permissions |
키에 필요한 권한이 없습니다. |
| 404 | not_found |
이 환경에서 애플리케이션이나 권한 부여가 존재하지 않습니다. |
예제
curl -X DELETE https://api.eu.keenauth.com/v1/applications/app_6f8d0cjgbmf0gtn2rg6pscp3cg/api-grants/api_0000000000000000000000001z \
-H "Authorization: Bearer $KEENAUTH_SECRET_KEY"